Summary: Userspace control program for the arptables network filter.

Name: arptables_jf

Version: 0.0.7
Release: 0.3E
Source: %{name}-%{version}.tbz
#Source1: Makefile
#Source2: arptables.h
#Source3: arptables.8
#Source4: libarptc.c
#Source5: libarptc.h
#Source6: arptables.init

BuildRoot: %{_tmppath}/%{name}-buildroot

Group: System Environment/Base

License: GPL

BuildPrereq: /usr/bin/perl

Requires: kernel >= 2.4.0

Requires(post,postun): chkconfig
BuildRequires: glibc-kernheaders

%description

The arptables_jf utility controls the arpfilter network packet filtering
code in the Linux kernel.  You do not need this program for normal
network firewalling.  If you need to manually control which arp
requests and/or replies this machine accepts and sends, you should
install this package.

%prep
rm -rf %{buildroot}
%setup -q

%build
make all LIBDIR=/%{_lib}

%install
make install DESTDIR=%{buildroot} LIBDIR=/%{_lib}

%post
/sbin/chkconfig --add arptables_jf

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del arptables_jf
fi

%files
%defattr(-,root,root,0755)
%config /etc/rc.d/init.d/arptables_jf
/sbin/arptables*
%{_mandir}/*/arptables*
# %dir /%{_lib}/arptables
# /%{_lib}/arptables/libarpt*


%changelog
* Wed Feb 11 2004 Jay Fenlason <fenlason@redhat.com> 0.0.7-0.3E
- Upgrade to 0.0.7 release, with an arptables-save that correctly saves
  mangle options.
- Fix typos in package version numbers in this changelog.

* Mon Jan 26 2004 Jay Fenlason <fenlason@redhat.com> 0.0.6-0.3E
- Upgrade to 0.0.6 release, which inlines the libarpt modules, and adds
  a mangle module controlling the arpt_mangle kernel module.

* Thu Sep 4 2003 Jay Fenlason <fenlason@redhat.com> 0.0.5-1
- Upgrade to 0.0.5 release, which includes a fix for bugzilla #103329

* Mon Jul 28 2003  <timp@redhat.com> 0.0.4-0.3E.1
- rebuild

* Tue Jul 15 2003 Jay Fenlason <fenlason@redhat.com> 0.0.4-0.3E
- first attempt at a packaged version of arptables_jf, for
  taroon.
